﻿using System;
using System.Security.Permissions;
using System.Security.Principal;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            AppDomain.CurrentDomain.SetPrincipalPolicy(PrincipalPolicy.WindowsPrincipal);

            PrincipalPermission principalPermission = new PrincipalPermission(null, "Administrators");

            principalPermission.Demand(); // 관리자 권한이 없는 경우 SecurityException 예외가 발생한다.

            Console.WriteLine("Demand succeeded.");
        }

        #endregion
    }
}